summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-22 12:27:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-22 12:27:48 +0000
commitf065f4b190dae85d18eb808c985ec5cc57beeb3f (patch)
tree60b5a4a50ba0258cef45dbc6cb2753ab3ca1090b /dev-ruby
parentc67011c0a97d6697e4b0c823b68cd6e304f029a2 (diff)
downloadbaldeagleos-repo-f065f4b190dae85d18eb808c985ec5cc57beeb3f.tar.gz
baldeagleos-repo-f065f4b190dae85d18eb808c985ec5cc57beeb3f.tar.xz
baldeagleos-repo-f065f4b190dae85d18eb808c985ec5cc57beeb3f.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/activesupport-6.0.3.4-r1.ebuild73
-rw-r--r--dev-ruby/nokogumbo/Manifest1
-rw-r--r--dev-ruby/nokogumbo/nokogumbo-2.0.3.ebuild49
3 files changed, 123 insertions, 0 deletions
diff --git a/dev-ruby/activesupport/activesupport-6.0.3.4-r1.ebuild b/dev-ruby/activesupport/activesupport-6.0.3.4-r1.ebuild
new file mode 100644
index 000000000000..83895aef0e7e
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-6.0.3.4-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ dev-ruby/i18n:1
+ >=dev-ruby/tzinfo-1.1:1
+ >=dev-ruby/minitest-5.1:5
+ >=dev-ruby/zeitwerk-2.2:2
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-2.2.1
+ >=dev-ruby/nokogiri-1.4.5
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.0.5:3
+ dev-ruby/rack
+ dev-ruby/mocha
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|redis\|sqlite\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+ sed -i -e '1igem "tzinfo", "~> 1.1"' test/abstract_unit.rb || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/nokogumbo/Manifest b/dev-ruby/nokogumbo/Manifest
index 234c2b7fbd5f..ade4bd0e5ddd 100644
--- a/dev-ruby/nokogumbo/Manifest
+++ b/dev-ruby/nokogumbo/Manifest
@@ -1 +1,2 @@
DIST nokogumbo-2.0.2.tar.gz 295558 BLAKE2B ce52794eb3359ad34234d8f5faad4aff7c197326f6449a09a2264cb1a3d920886377f805e055980224644223d31a6621300c583a04f48ce8a8abe275b2614470 SHA512 fd115e072d2763ff63c46dc6f6117bb841b2c2ac28df0180d44a581a2a46f0b7b90ec17ae1b629e3e7c2f8a2cade53031cc118c8a946bbfb7e9e8600efefd67c
+DIST nokogumbo-2.0.3.tar.gz 297394 BLAKE2B f1afcf516c5c47b15c8404e8c218af1f2ca0bce022fefacb39842527be7be38cbaf9d2fe0572afd8d9c1893a82428b903ccb8d4506043f766305d4d43aaf066b SHA512 b44af7394f0b2c7159b34ead2aa15e39cd08348c1e3d7c4d9a2830c0920ae1a0d22ff9ac32db8fa1bd69c8ce55bc4a32069572944b53ef0d743f8a40560bcb47
diff --git a/dev-ruby/nokogumbo/nokogumbo-2.0.3.ebuild b/dev-ruby/nokogumbo/nokogumbo-2.0.3.ebuild
new file mode 100644
index 000000000000..43462c380e47
--- /dev/null
+++ b/dev-ruby/nokogumbo/nokogumbo-2.0.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="nokogumbo.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Nokogiri interface to the Gumbo HTML5 parser"
+HOMEPAGE="https://github.com/rubys/nokogumbo"
+SRC_URI="https://github.com/rubys/nokogumbo/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="2"
+KEYWORDS="~amd64 ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+# Contains a bundled and patched version of dev-libs/gumbo.
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.8.4"
+
+all_ruby_prepare() {
+ # Define rakehome in scope
+ sed -i -e "1irakehome=File.expand_path('../../')" ext/nokogumbo/extconf.rb || die
+
+ sed -i -e "s:require_relative ':require './:" ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/nokogumbo extconf.rb || die
+ sed -i -e 's:-Wl,--no-undefined::' ext/nokogumbo/Makefile || die
+}
+
+each_ruby_compile() {
+ emake -Cext/nokogumbo V=1
+ cp ext/nokogumbo/nokogumbo.so lib/nokogumbo/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}